GET /blockscout/addresses/{address_hash}/internal-transactions

Path Parameters

address_hash string required path
Address hash

Query Parameters

filter string optional query
Example: "to | from"

Responses

200 Address
application/json
items object[] REQUIRED
Array of:
block_number integer REQUIRED
created_contract object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
error string REQUIRED
from object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
gas_limit string REQUIRED
index integer REQUIRED
success boolean REQUIRED
timestamp string REQUIRED
to object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
transaction_hash string REQUIRED
type string REQUIRED
value string REQUIRED
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/internal-transactions'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/internal-transactions', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//blockscout/addresses/string/internal-transactions')print(response.json())
200 Response
{  "items": [    {      "block_number": 8844586,      "created_contract": {        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",        "implementation_name": "implementationName",        "name": "contractName",        "ens_domain_name": "domain.eth",        "metadata": {          "slug": "tag_slug",          "name": "Tag name",          "tagType": "name",          "ordinal": 0,          "meta": {}        },        "is_contract": true,        "private_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "watchlist_names": [          {            "display_name": {},            "label": {}          }        ],        "public_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "is_verified": true      },      "error": "reverted",      "from": {        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",        "implementation_name": "implementationName",        "name": "contractName",        "ens_domain_name": "domain.eth",        "metadata": {          "slug": "tag_slug",          "name": "Tag name",          "tagType": "name",          "ordinal": 0,          "meta": {}        },        "is_contract": true,        "private_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "watchlist_names": [          {            "display_name": {},            "label": {}          }        ],        "public_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "is_verified": true      },      "gas_limit": "351759",      "index": 1,      "success": true,      "timestamp": "2023-04-17T10:37:12.000000Z",      "to": {        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",        "implementation_name": "implementationName",        "name": "contractName",        "ens_domain_name": "domain.eth",        "metadata": {          "slug": "tag_slug",          "name": "Tag name",          "tagType": "name",          "ordinal": 0,          "meta": {}        },        "is_contract": true,        "private_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "watchlist_names": [          {            "display_name": {},            "label": {}          }        ],        "public_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "is_verified": true      },      "transaction_hash": "0x08ea4d75ad0abe327a7fd368733eaeac43077989e635d800530d7906ebf3bd54",      "type": "call",      "value": "30000000000000000"    }  ],  "next_page_params": {    "block_number": 27625575,    "index": 0,    "items_count": 50,    "transaction_index": 0  }}
Ask a question... ⌘I